Skip to main content

List Tenants

Use this API to return the list of tenants along with their details.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/tenants

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{MASTER}/v4_realm/
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No Request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataObjectThe tenant info object.
nameStringTenant name.
enabledBooleanIndicates whether the tenant is enabled or not.
rememberMeBooleanIf true allows user to remain logged in until session expires.
resetPasswordBooleanIf true reset password option in login screen is enabled for the tenant.
registrationAllowedBooleanIf true user registration option in login screen is enabled for the tenant.
adminUsernameStringReturns username of any one of the admin.
userCountIntegerThe number of users.
realmCreationStatusStringRefer Get Realm Creation Status

Sample Response​

{
"message": "Tenant list fetched successfully",
"status": "OK",
"subSystem": 1,
"data": [
{
"name": "TestHeadlessV2",
"type": "AST",
"enabled": true,
"rememberMe": false,
"resetPassword": false,
"registrationAllowed": false,
"adminUsername": "admin11",
"userCount": 3,
"realmCreationStatus": "BLOCKED"
},
{
"name": "TestSSMS",
"type": "SSMS",
"enabled": true,
"rememberMe": false,
"resetPassword": false,
"registrationAllowed": false,
"adminUsername": "admin",
"userCount": 1,
"realmCreationStatus": "BLOCKED"
},

]
}

Response Status Information​

Status CodeStatusMessage
200OKTenant list fetched successfully
401UnauthorizedHTTP 401 Unauthorized